Bug 208830 - sysctl variable to expire quiescent template
sysctl variable to expire quiescent template
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity low
: ---
: ---
Assigned To: Neil Horman
Brian Brock
http://article.gmane.org/gmane.linux....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 05:47 EDT by Morten Werner Forsbring
Modified: 2007-11-16 20:14 EST (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2007-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:15:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that compiles with 2.6.9-42.0.3.EL (as patch10004 though) (1.97 KB, patch)
2006-10-10 01:54 EDT, Morten Werner Forsbring
no flags Details | Diff
massaged version of the patch for RHEL4 (1.97 KB, patch)
2007-03-20 11:51 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Morten Werner Forsbring 2006-10-02 05:47:34 EDT
Description of problem:
 When using RHEL4 as a LVS-server and we need persistent connections for one
 of our services. Status now is that if one of the realservers becomes
 unavailable, keepalived detects this and new connections are sent to the
 other realservers. The existing connections is still sent to the realserver
 that is unavailable. In some settings this is ok, but in other settings it's
 not. This patch makes a file (/proc/net/ipvs/vs/expire_quiescent_template)
 available, and if this is set to something else than zero LVS will start
 sending requests to other realservers when one is unavailable.

Version-Release number of selected component (if applicable):
 This patch is applied in kernel 2.6.10 afaik. Patch is available in URL, so
 if you could please backport this into your 2.6.9 for the next update it
 would have been great!

How reproducible:
 Every time.
Comment 1 Morten Werner Forsbring 2006-10-10 01:54:36 EDT
Created attachment 138115 [details]
Patch that compiles with 2.6.9-42.0.3.EL (as patch10004 though)
Comment 3 Neil Horman 2007-02-12 10:41:15 EST
Patch looks good to me.  Looks to be indentical to upstream, and pretty clear in
its functionality.  It'll be 4.6 before we can get this in, but I'll make sure
it applies cleanly to the latest tree and submit it.  Thanks!
Comment 4 RHEL Product and Program Management 2007-02-12 10:45:59 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Neil Horman 2007-03-20 11:51:31 EDT
Created attachment 150499 [details]
massaged version of the patch for RHEL4
Comment 6 RHEL Product and Program Management 2007-04-18 18:54:47 EDT
This request was evaluated by Red Hat Kernel Team for inclusion in a Red
Hat Enterprise Linux maintenance release, and has moved to bugzilla 
status POST.
Comment 7 Jason Baron 2007-06-05 11:46:11 EDT
committed in stream U6 build 55.6. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 10 errata-xmlrpc 2007-11-15 11:15:28 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0791.html

Note You need to log in before you can comment on or make changes to this bug.